1. workplan
demand.erp API
  • bom
    • create bom
      POST
    • get bom
      GET
    • update bom
      PUT
    • delete bom
      DELETE
    • delete bom position
      DELETE
  • item
    • create item
      POST
    • get item
      GET
    • update item
      PUT
    • delete item
      DELETE
  • workplan
    • create workplan
      POST
    • get workplan
      GET
    • update workplan
      PUT
    • delete workplan
      DELETE
  • customer
    • create customer (4.8.0)
      POST
    • get customer (4.8.0)
      GET
    • update customer (4.8.0)
      PUT
    • delete customer (4.8.0)
      DELETE
  • Schemas
    • Schemas
    • Response
      • Success
      • BadRequest
    • getBom
    • postBom
    • putBom
    • getItem
    • postItem
    • putItem
    • getWorkplan
    • postWorkplan
    • putWorkplan
    • getCustomer
    • postCustomer
    • putCustomer
    • Success
    • Error
  1. workplan

create workplan

POST
/workplan
Last modified:2026-07-31 08:54:44
This endpoint allows you to create a new workplan

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/json

Example
{
    "itemid": 800000,
    "character_index": 0,
    "production_variant": 0,
    "status": 0,
    "description": "Automatenfolie PVC",
    "valid_from": 20241012,
    "valid_until": 20241013,
    "positions": [
        {
            "work_step": 1,
            "work_step_type": 0,
            "cost_center": 0,
            "machine": 0,
            "person_time": 5,
            "machine_time": 4,
            "time_unit": 2,
            "wage_slip_quantity": 0,
            "piece_unit": 1,
            "idle_time": 0,
            "wage_type": 0,
            "wage_group": "str",
            "initial_operation": 10,
            "splitting_factor": 0,
            "overlap": "Y",
            "overlap_factor": 0,
            "description": "Polieren",
            "fixed_price": 0,
            "print_wage_slip": "Y",
            "scrap_in_percent": 5,
            "workplan_fields": [
                {
                    "id": 1,
                    "value": "80 Grad"
                }
            ]
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/workplan' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "itemid": 800000,
    "character_index": 0,
    "production_variant": 0,
    "status": 0,
    "description": "Automatenfolie PVC",
    "valid_from": 20241012,
    "valid_until": 20241013,
    "positions": [
        {
            "work_step": 1,
            "work_step_type": 0,
            "cost_center": 0,
            "machine": 0,
            "person_time": 5,
            "machine_time": 4,
            "time_unit": 2,
            "wage_slip_quantity": 0,
            "piece_unit": 1,
            "idle_time": 0,
            "wage_type": 0,
            "wage_group": "str",
            "initial_operation": 10,
            "splitting_factor": 0,
            "overlap": "Y",
            "overlap_factor": 0,
            "description": "Polieren",
            "fixed_price": 0,
            "print_wage_slip": "Y",
            "scrap_in_percent": 5,
            "workplan_fields": [
                {
                    "id": 1,
                    "value": "80 Grad"
                }
            ]
        }
    ]
}'

Responses

🟢200OK
application/json
Returns the created workplan
Bodyapplication/json

Example
{
    "itemid": 800000,
    "character_index": 0,
    "production_variant": 0,
    "status": 0,
    "description": "Automatenfolie PVC",
    "valid_from": 20241012,
    "valid_until": 20241013,
    "positions": [
        {
            "work_step": 1,
            "work_step_type": 0,
            "cost_center": 0,
            "machine": 0,
            "person_time": 5,
            "machine_time": 4,
            "time_unit": 2,
            "wage_slip_quantity": 0,
            "piece_unit": 1,
            "idle_time": 0,
            "wage_type": 0,
            "wage_group": "str",
            "initial_operation": 10,
            "splitting_factor": 0,
            "overlap": "Y",
            "overlap_factor": 0,
            "description": "Polieren",
            "fixed_price": 0,
            "print_wage_slip": "Y",
            "scrap_in_percent": 5,
            "workplan_fields": [
                {
                    "id": 1,
                    "value": "80 Grad"
                }
            ]
        }
    ]
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Modified at 2026-07-31 08:54:44
Previous
delete item
Next
get workplan
Built with